%define name abcde
%define version 2.5.3
%define release 1

Summary:	Command-line utility to rip and encode audio cds
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
URL:		http://www.hispalinux.es/~data/files/
Group:		Sound
Source0:	http://ftp.de.debian.org/debian/pool/main/a/abcde/%{name}_%{version}.orig.tar.gz
Source1:	http://linukz.org/download/cd-discid-1.1.tar.gz
Patch1:		abcde-2.3.99.6-install.patch
Requires:	cdparanoia wget vorbis-tools

%description
abcde is a frontend command-line utility (actually, a shell script) that
grabs tracks off a CD, encodes them to Ogg/Vorbis, MP3, FLAC, Ogg/Speex and/or
MPP/MP+(Musepack) format, and tags them, all in one go.


%prep

%setup -q -b0
%setup -q -b1
#%patch1 -p0

%build
cd ../cd-discid-1.1
%make

%install
%makeinstall_std

cd ../cd-discid-1.1
%makeinstall_std

%files
%doc changelog README COPYING TODO FAQ examples/abcded examples/abcde.init examples/autorip.sh
%{_bindir}/*
%{_mandir}/man1/abcde.*
%{_mandir}/man1/cd-discid.*
%{_mandir}/man1/cddb-tool.*
%config(noreplace) %{_sysconfdir}/%{name}.conf



%changelog
* Tue Jun 19 2012 Alexander Khrukin <akhrukin@mandriva.org> 2.5.3-1
+ Revision: 806141
- version update 2.5.3

* Thu May 10 2012 Alexander Khrukin <akhrukin@mandriva.org> 2.5.2-1
+ Revision: 797889
- version update 2.5.2

* Fri Mar 25 2011 Sandro Cazzaniga <kharec@mandriva.org> 2.4.2-1
+ Revision: 648541
- update to 2.4.2

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4.1-2mdv2011.0
+ Revision: 609900
- rebuild

* Mon Feb 15 2010 Frederik Himpe <fhimpe@mandriva.org> 2.4.1-1mdv2010.1
+ Revision: 506382
- update to new version 2.4.1

* Sat Nov 07 2009 Rémy Clouard <shikamaru@mandriva.org> 2.4.0-1mdv2010.1
+ Revision: 462120
- bump abcde to 2.4.0
- bump cd-discid to 1.1
- fix license
- fix specfile
- drop merged patch

* Sat Aug 08 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.99.8-1mdv2010.0
+ Revision: 411822
- update to new version 2.3.99.8

* Tue Jul 28 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.99.7-1mdv2010.0
+ Revision: 402575
- update to new version 2.3.99.7

* Thu Dec 20 2007 Olivier Blin <blino@mandriva.org> 2.3.99.6-1mdv2008.1
+ Revision: 135813
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 04 2007 Funda Wang <fwang@mandriva.org> 2.3.99.6-1mdv2008.0
+ Revision: 95298
- Use new version from debian

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages

